﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace LiveSplineAreaSample
{
    public class SplineAreaSample : ContentPage
    {
        SfChart chart;
        StackLayout stackLayout;
        ObservableCollection<ChartDataPoint> liveData1;
        int wave1;
        public SplineAreaSample()
        {
            chart = new SfChart();
            chart.VerticalOptions = LayoutOptions.FillAndExpand;

            stackLayout = new StackLayout();
            stackLayout.VerticalOptions = LayoutOptions.FillAndExpand;

            chart.PrimaryAxis = new CategoryAxis();
            chart.SecondaryAxis = new NumericalAxis()
            {
                Minimum = -1.5,
                Maximum = 1.5
            };

            liveData1 = new ObservableCollection<ChartDataPoint>();

            SplineAreaSeries splineAreaseries = new SplineAreaSeries();
            LoadData1();
            splineAreaseries.ItemsSource = liveData1;
            chart.Series.Add(splineAreaseries);
            stackLayout.Children.Add(chart);
            Content = stackLayout;
        }
        public async void LoadData1()
        {
            for (var i = 0; i < 180; i++)
            {
                liveData1.Add(new ChartDataPoint(i, Math.Sin(wave1 * (Math.PI / 180.0))));
                wave1++;
            }

            wave1 = liveData1.Count;

            await Task.Delay(200);

            Device.StartTimer(new TimeSpan(0, 0, 0, 0, 10), () =>
            {
                liveData1.RemoveAt(0);
                liveData1.Add(new ChartDataPoint(wave1, Math.Sin(wave1 * (Math.PI / 180.0))));
                wave1++;
                return true;
            });
        }
    }
}

